agent_id: ID of the agent for which the response is to be created.curl --location -g --request POST 'https:///response-service/api/v2/agents//responses' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data-raw '{
"caching_enabled": false,
"chat_thread_id": 1,
"created_by": "[email protected]",
"history": [
{
"bot": "Paris is the capital of France.",
"user": "What is the capital of France?"
}
],
"is_file_attached": false,
"overrides": {
"corpus_ids": [
1
],
"log_intermediate_response": true,
"retrieve_data_points": true
},
"query_source": "web",
"user_query": "and what about the weather?"
}'{
"data": {
"agent_response_id": 1,
"answer": "The capital of France is Paris.",
"artifacts": [],
"blocked": false,
"cache_hit": false,
"chat_thread_name": "Chat Thread Name",
"references": [],
"thread_id": 1
},
"message": "Successfully fetched the response",
"success": true
}